Forum

Notifications
Clear all

COMMAND TO INSTALL POSTAL CANNOT BE RESOLVED

Page 1 / 2
timothysheehy
(@timothysheehy)
New Member

Hello H-Educate,

Thank you for the wonderful tutorials. They are a life saver.
I cannot get past the COMMAND INSTALLATION STAGE.

Command I typed is - curl https://raw.githubusercontent.com/atech/postal/master/script/install/ubuntu1604.sh | sh

But it said "Could not resolve host: raw.githubusercontent.com"

I purchased my vps from domains4bitcoin.

Please provide up to date command to run in putty so I can build my own smtp server.

Thank you

Quote
Topic starter Posted : 26/01/2021 11:07 am
Hasan AboulHasan
(@admin)
Illustrious Member

The command must work friend, can you please check again.

ReplyQuote
Posted : 27/01/2021 12:20 pm
TechknowlogyWalla
(@techknowlogywalla)
Eminent Member

Install Ubuntu 16.04 OS first on your VPS and then try to run this command because Postal SMTP can only be Installed on Ubuntu 16.04

Thanks

ReplyQuote
Posted : 29/01/2021 12:26 am
mantas
(@mantas)
Eminent Member

@TachknowlogyWalla

So postal will not work at all with other Ubuntu versions ?

ReplyQuote
Posted : 29/01/2021 3:41 pm
Abdallah Taleb
(@abdallahtaleb)
Trusted Member

No Friend, postal works well on 18.04 as well.

ReplyQuote
Posted : 29/01/2021 5:02 pm
mantas
(@mantas)
Eminent Member

@abdallahTaleb

I've got 20.04 LTS Ubuntu

is it supported?

ReplyQuote
Posted : 29/01/2021 6:09 pm
Abdallah Taleb
(@abdallahtaleb)
Trusted Member

Go with 1804 friend.

ReplyQuote
Posted : 29/01/2021 7:58 pm
timothysheehy
(@timothysheehy)
New Member

Okay Assuming the issue is with Ubuntu 16 that I have installed on the VPS.

Is there any guarantee I will not experience any issues with Ubuntu 18?

Also, I purchased the VPS with Ubuntu 16, so I may have to discuss with the service provider to allow for upgrade.

Ideally what I would have loved is to reach an agreement with someone to help do the whole setup on my Remote Desktop and just give me the password and username to login while I pay for the setup services and possibly make a donation as a form of gratitude to this person for his or her service in helping to set the process up.

 

Anyone interested?

ReplyQuote
Topic starter Posted : 29/01/2021 8:04 pm
mantas
(@mantas)
Eminent Member

@abdallahTaleb

All website is already done- Would be insane to rebuild everything again... Damn if I would know this before, there are too many factors. In other words you have to be nearly guru to know everything what's working and what piece of software compatible with Operating System or conflicts with other soft and so on... :/

@timothysheehy

If you use Contabo you can login to your account and reinstall another Ubuntu version yourself- you don't need any advice from hosting provider.

Biggest pain is to rebuild everything from the ground again...

 

ReplyQuote
Posted : 29/01/2021 9:49 pm
James THE Miller
(@james-the-miller)
New Member

Hey Hasan, it doesn't work.

I have generated IPs from Contabo and Digitalocean and tried to configure Postal. I have followed your tutorial, step by step, on Video and Blog-Post and seen other tutorials on this, But nothing works. There's an Error that has accured 🙁

It seems like this problem has acquired in late January 2021. Please, is there any solution to this. Can you research and create a video or blog post about this. Or at least a reply, Thanks!!

ReplyQuote
Posted : 06/02/2021 5:25 pm
Abdallah Taleb
(@abdallahtaleb)
Trusted Member

We have created a new tutorial on how to install postal. Check it out below.

https://h-educate.com/smtp-server-configuration/

ReplyQuote
Posted : 09/02/2021 6:01 pm
demiscuzz
(@demiscuzz)
New Member

hey, so fresh install of ubuntu 16. following the new guide at https://h-educate.com/smtp-server-configuration/ .
when i get to

sudo apt-get install erlang
Reading package lists... Done
Building dependency tree
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies.
erlang : Depends: erlang-appmon
Depends: erlang-common-test
Depends: erlang-crypto
Depends: erlang-debugger
Depends: erlang-diameter but it is not going to be installed
Depends: erlang-edoc
Depends: erlang-eldap but it is not going to be installed
Depends: erlang-erl-docgen
Depends: erlang-et
Depends: erlang-ftp but it is not going to be installed
Depends: erlang-inets
Depends: erlang-megaco
Depends: erlang-observer
Depends: erlang-os-mon
Depends: erlang-percept
Depends: erlang-public-key
Depends: erlang-reltool
Depends: erlang-snmp
Depends: erlang-ssh
Depends: erlang-ssl
Depends: erlang-test-server
Depends: erlang-tftp but it is not going to be installed
Depends: erlang-tools
Depends: erlang-wx
Recommends: erlang-ic-java but it is not going to be installed
Recommends: erlang-src but it is not going to be installed
Recommends: erlang-examples but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

 

If i try to install them one by one it says that they are not installable?

 

Any help would be wonderful

ReplyQuote
Posted : 22/02/2021 8:36 pm
Abdallah Taleb
(@abdallahtaleb)
Trusted Member

Use Ubuntu 18.04 friend. The guide is based on 18.04 and not 16.

ReplyQuote
Posted : 22/02/2021 10:54 pm
abhi
 abhi
(@abhi)
Eminent Member

hello Taleb i tried to install postal on ubuntu 18 and tried to install all step by step getting this error  - https://www.screencast.com/users/abhi6473/folders/Default/media/483b3297-1669-4a3d-a62a-76ae10b853ca

i tried twice and inserted all commands line and wile creating databases all went fine by always getting the same eeror

 

ReplyQuote
Posted : 02/03/2021 4:25 am
Abdallah Taleb
(@abdallahtaleb)
Trusted Member

Check your postal status by running below command:

postal status

ReplyQuote
Posted : 07/03/2021 7:30 pm
Page 1 / 2
Share: